org.apache.ignite.internal.visor.node

## Class VisorSpisConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorSpisConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorSpisConfiguration
    extends Object
    implements Serializable

Data transfer object for node SPIs configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorSpisConfiguration()`

### Method Summary

Methods
`IgniteBiTuple<String,Map<String,Object>>` `authenticationSpi()`
`void` `authenticationSpi(IgniteBiTuple<String,Map<String,Object>> authSpi)`
`IgniteBiTuple<String,Map<String,Object>>[]` `checkpointSpis()`
`void` `checkpointSpis(IgniteBiTuple<String,Map<String,Object>>[] cpSpis)`
`IgniteBiTuple<String,Map<String,Object>>` `collisionSpi()`
`void` `collisionSpi(IgniteBiTuple<String,Map<String,Object>> colSpi)`
`IgniteBiTuple<String,Map<String,Object>>` `communicationSpi()`
`void` `communicationSpi(IgniteBiTuple<String,Map<String,Object>> commSpi)`
`IgniteBiTuple<String,Map<String,Object>>` `deploymentSpi()`
`void` `deploymentSpi(IgniteBiTuple<String,Map<String,Object>> deploySpi)`
`IgniteBiTuple<String,Map<String,Object>>` `discoverySpi()`
`void` `discoverySpi(IgniteBiTuple<String,Map<String,Object>> discoSpi)`
`IgniteBiTuple<String,Map<String,Object>>` `eventStorageSpi()`
`void` `eventStorageSpi(IgniteBiTuple<String,Map<String,Object>> evtSpi)`
`IgniteBiTuple<String,Map<String,Object>>[]` `failoverSpis()`
`void` `failoverSpis(IgniteBiTuple<String,Map<String,Object>>[] failSpis)`
`static VisorSpisConfiguration` `from(IgniteConfiguration c)`
`IgniteBiTuple<String,Map<String,Object>>[]` `indexingSpis()`
`void` `indexingSpis(IgniteBiTuple<String,Map<String,Object>>... indexingSpis)`
`IgniteBiTuple<String,Map<String,Object>>[]` `loadBalancingSpis()`
`void` `loadBalancingSpis(IgniteBiTuple<String,Map<String,Object>>[] loadBalancingSpis)`
`IgniteBiTuple<String,Map<String,Object>>` `secureSessionSpi()`
`void` `secureSessionSpi(IgniteBiTuple<String,Map<String,Object>> sesSpi)`
`IgniteBiTuple<String,Map<String,Object>>` `swapSpaceSpi()`
`void` `swapSpaceSpi(IgniteBiTuple<String,Map<String,Object>> swapSpaceSpis)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorSpisConfiguration

    public VisorSpisConfiguration()

### Method Detail

#### from

    public static VisorSpisConfiguration from(IgniteConfiguration c)

Parameters:
  `c` - Grid configuration.
Returns:
  Data transfer object for node SPIs configuration properties.

#### discoverySpi

    public IgniteBiTuple<String,Map<String,Object>> discoverySpi()

Returns:
  Discovery SPI.

#### discoverySpi

    public void discoverySpi(IgniteBiTuple<String,Map<String,Object>> discoSpi)

Parameters:
  `discoSpi` - New discovery SPI.

#### communicationSpi

    public IgniteBiTuple<String,Map<String,Object>> communicationSpi()

Returns:
  Communication SPI.

#### communicationSpi

    public void communicationSpi(IgniteBiTuple<String,Map<String,Object>> commSpi)

Parameters:
  `commSpi` - New communication SPI.

#### eventStorageSpi

    public IgniteBiTuple<String,Map<String,Object>> eventStorageSpi()

Returns:
  Event storage SPI.

#### eventStorageSpi

    public void eventStorageSpi(IgniteBiTuple<String,Map<String,Object>> evtSpi)

Parameters:
  `evtSpi` - New event storage SPI.

#### collisionSpi

    public IgniteBiTuple<String,Map<String,Object>> collisionSpi()

Returns:
  Collision SPI.

#### collisionSpi

    public void collisionSpi(IgniteBiTuple<String,Map<String,Object>> colSpi)

Parameters:
  `colSpi` - New collision SPI.

#### authenticationSpi

    public IgniteBiTuple<String,Map<String,Object>> authenticationSpi()

Returns:
  Authentication SPI.

#### authenticationSpi

    public void authenticationSpi(IgniteBiTuple<String,Map<String,Object>> authSpi)

Parameters:
  `authSpi` - New authentication SPI.

#### secureSessionSpi

    public IgniteBiTuple<String,Map<String,Object>> secureSessionSpi()

Returns:
  Secure Session SPI.

#### secureSessionSpi

    public void secureSessionSpi(IgniteBiTuple<String,Map<String,Object>> sesSpi)

Parameters:
  `sesSpi` - New secure Session SPI.

#### deploymentSpi

    public IgniteBiTuple<String,Map<String,Object>> deploymentSpi()

Returns:
  Deployment SPI.

#### deploymentSpi

    public void deploymentSpi(IgniteBiTuple<String,Map<String,Object>> deploySpi)

Parameters:
  `deploySpi` - New deployment SPI.

#### checkpointSpis

    public IgniteBiTuple<String,Map<String,Object>>[] checkpointSpis()

Returns:
  Checkpoint SPIs.

#### checkpointSpis

    public void checkpointSpis(IgniteBiTuple<String,Map<String,Object>>[] cpSpis)

Parameters:
  `cpSpis` - New checkpoint SPIs.

#### failoverSpis

    public IgniteBiTuple<String,Map<String,Object>>[] failoverSpis()

Returns:
  Failover SPIs.

#### failoverSpis

    public void failoverSpis(IgniteBiTuple<String,Map<String,Object>>[] failSpis)

Parameters:
  `failSpis` - New failover SPIs.

#### loadBalancingSpis

    public IgniteBiTuple<String,Map<String,Object>>[] loadBalancingSpis()

Returns:
  Load balancing SPIs.

#### loadBalancingSpis

    public void loadBalancingSpis(IgniteBiTuple<String,Map<String,Object>>[] loadBalancingSpis)

Parameters:
  `loadBalancingSpis` - New load balancing SPIs.

#### swapSpaceSpi

    public IgniteBiTuple<String,Map<String,Object>> swapSpaceSpi()

Returns:
  Swap space SPIs.

#### swapSpaceSpi

    public void swapSpaceSpi(IgniteBiTuple<String,Map<String,Object>> swapSpaceSpis)

Parameters:
  `swapSpaceSpis` - New swap space SPIs.

#### indexingSpis

    public IgniteBiTuple<String,Map<String,Object>>[] indexingSpis()

Returns:
  Indexing SPIs.

#### indexingSpis

    @SafeVarargs
    public final void indexingSpis(IgniteBiTuple<String,Map<String,Object>>... indexingSpis)

Parameters:
  `indexingSpis` - New indexing SPIs.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015